import request from '@/utils/request'

// 查询客户信息-车型列表
export function listVehicleModel(query) {
  return request({
    url: '/business/vehicleModel/list',
    method: 'get',
    params: query
  })
}

// 查询客户信息-车型详细
export function getVehicleModel(id) {
  return request({
    url: '/business/vehicleModel/' + id,
    method: 'get'
  })
}

// 新增客户信息-车型
export function addVehicleModel(data) {
  return request({
    url: '/business/vehicleModel',
    method: 'post',
    data: data
  })
}

// 修改客户信息-车型
export function updateVehicleModel(data) {
  return request({
    url: '/business/vehicleModel',
    method: 'put',
    data: data
  })
}

// 删除客户信息-车型
export function delVehicleModel(id) {
  return request({
    url: '/business/vehicleModel/' + id,
    method: 'delete'
  })
}
